Name:		wdaemon
Version:	0.11
Release:	1%{?dist}
Summary:	Hotplug helper for Wacom X.org driver

Group:		User Interface/X Hardware Support
License:	GPL
URL:		http://jake.ruivo.org/~aris/wdaemon/
Source0:	http://jake.ruivo.org/~aris/wdaemon/wdaemon-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	glibc-devel
Requires:	udev >= 030-21

%description
Helper application which emulates persistent input devices for Wacom tablets
so they can be plugged and unplugged while X.org server is running. This should
go away as soon X.org properly supports hotplugging.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT bindir=%{_bindir} sysconfdir=%{_sysconfdir} install;
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/scripts/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/
install -m 0755 udev/is_uinput.sh $RPM_BUILD_ROOT%{_sysconfdir}/udev/scripts/
install -m 0644 udev/61-uinput-wacom.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/
install -m 0644 udev/61-uinput-stddev.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add %{name}
fi

%preun
if [ $1 = 0 ]; then
	/sbin/service %{name} stop > /dev/null 2>&1
	/sbin/chkconfig --del %{name}
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service %{name} condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE Changelog README simple.conf
%{_bindir}/wdaemon
%config(noreplace) %{_sysconfdir}/udev/rules.d/61-uinput-wacom.rules
%config(noreplace) %{_sysconfdir}/udev/rules.d/61-uinput-stddev.rules
%{_sysconfdir}/rc.d/init.d/wdaemon
%{_sysconfdir}/udev/scripts/is_uinput.sh

%changelog
* Wed Aug 01 2007 Aristeu Rozanski <arozansk@redhat.com> 0.11-1
- Updated to version 0.11

* Tue Jul 24 2007 Aristeu S. Rozanski F. <arozansk@redhat.com> 0.10-3
- More problems found by Jarod Wilson fixed:
- Removing exclusive architectures, it used to be in sync with linuxwacom
  package
- marking udev rules as non-replaceable config files
- using install on makefile

* Mon Jul 23 2007 Aristeu S. Rozanski F. <arozansk@redhat.com> 0.10-2
- Fixing the problems found by Jarod Wilson:
- Fixing make install target
- Fixing Makefile so it honors the provided CFLAGS
- not using makeinstall macro
- installing is_uinput.sh as 755 instead of changing later with attr

* Fri Jul 20 2007 Aristeu S. Rozanski F. <arozansk@redhat.com> 0.10-1
* upgrading to version 0.10

* Thu Jul 19 2007 Aristeu S. Rozanski F. <arozansk@redhat.com> 0.09-1
- first release 

